export type GradualNote = GradualItem[];
export type GradualItem = {
	start: number;
	measureIndex: number;
	noteInMeasureIndex: number;
	allDuration: number;
	leftDuration: number;
	type: string;
	closedMeasureIndex: number;
};

export type IMode = "homework" | "contact" | "evaluating";

export enum GradualVersion {
	BASE,
	ENSEMBLE,
}

export type GradualTimes = null | {
	[key: string]: string;
};